public static interface SolrEndpointBuilderFactory.SolrBuilders
| Modifier and Type | Method and Description |
|---|---|
default SolrEndpointBuilderFactory.SolrEndpointBuilder |
solr(String path)
Solr (camel-solr)
Perform operations against Apache Lucene Solr.
|
default SolrEndpointBuilderFactory.SolrEndpointBuilder |
solr(String componentName,
String path)
Solr (camel-solr)
Perform operations against Apache Lucene Solr.
|
default SolrEndpointBuilderFactory.SolrEndpointBuilder |
solrCloud(String path)
Solr (camel-solr)
Perform operations against Apache Lucene Solr.
|
default SolrEndpointBuilderFactory.SolrEndpointBuilder |
solrs(String path)
Solr (Secure) (camel-solr)
Perform operations against Apache Lucene Solr.
|
default SolrEndpointBuilderFactory.SolrEndpointBuilder solr(String path)
solr:url
Path parameter: url (required)
Hostname and port for the solr serverpath - urldefault SolrEndpointBuilderFactory.SolrEndpointBuilder solr(String componentName, String path)
solr:url
Path parameter: url (required)
Hostname and port for the solr servercomponentName - to use a custom component name for the endpoint
instead of the default namepath - urldefault SolrEndpointBuilderFactory.SolrEndpointBuilder solrCloud(String path)
solrCloud:url
Path parameter: url (required)
Hostname and port for the solr serverpath - urldefault SolrEndpointBuilderFactory.SolrEndpointBuilder solrs(String path)
solrs:url
Path parameter: url (required)
Hostname and port for the solr serverpath - urlApache Camel